@import url("https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@200;300;400;500;600;700;800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@300;400;500;600;700;800&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Public+Sans:wght@100;200;300;400;500;600;700;800;900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=DM+Serif+Display&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;500;600;700;800;900&display=swap");

:root {
  --heading: "Playfair Display", serif;
  --heading2: "DM Serif Display", serif;
  --header-font: "Plus Jakarta Sans", sans-serif;
  --text-font: "Public Sans", sans-serif;
  --black: #16140c;
  --white: #ffffff;
  --bg-color: #fefaf2;
  --grey: #999;
  --btn-color: #b42e9f;
  --light-grey: #ebe3d6;
  --light: #f6f0e6;
}

* {
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: var(--text-font);
}

body {
  width: 100%;
  min-height: 100vh;
  background-color: var(--bg-color);
  font-size: 1rem;
}
a {
  text-decoration: none;
}

li {
  list-style-type: none;
}

/* ================= Reusable classes ===============*/

.btn--filled {
  border-radius: 50px;
  border: none;
  padding: 15px 25px;
  background-color: var(--btn-color);
  color: var(--white);
  font-family: var(--header-font);
  font-weight: 800;
  font-size: 16px;
  cursor: pointer;
}

.btn--outlined {
  border-radius: 50px;
  border: 1px solid var(--black);
  padding: 15px 25px;
  background-color: transparent;
  color: var(--black);
  font-family: var(--header-font);
  font-weight: 800;
  font-size: 16px;
  cursor: pointer;
  width: fit-content;
}

.sub--heading {
  font-family: var(--text-font);
  font-size: small;
  margin-bottom: 10px;
}
.main--heading {
  font-family: var(--heading2);
  font-size: 3rem;
  color: var(--black);
}

header {
  width: 100%;
  height: fit-content;
  border-bottom: 1px solid var(--light-grey);
  margin: 0 auto;
}

header .nav-container {
  max-width: 1100px;
  height: 100%;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px;
}

.logo {
  height: fit-content;
  width: fit-content;
}

.logo__image {
  height: 40px;
  width: 100%;
}
.logo__title {
  font-family: var(--header-font);
  font-size: 1.2rem;
}
.secondary-nav {
  max-width: 1100px;
  display: flex;
  justify-content: flex-end;
  margin: 0 auto;
  background-color: transparent;
  height: fit-content;
}
.secondary-nav ul {
  display: flex;
  column-gap: 10px;
}
.secondary-nav ul li a {
  color: var(--black);
  font-size: 13px;
  font-weight: 500;
}

.secondary-nav ul :hover {
  text-decoration: underline;
  text-underline-position: under;
}

.primary-nav ul {
  display: flex;
  width: 100%;
  font-weight: 700;
  column-gap: 50px;
}

.primary-nav ul li a {
  list-style-type: none;
  color: var(--black);
  font-family: var(--header-font);
}

.cta {
  display: flex;
  height: fit-content;
  column-gap: 20px;
}

.cta__free-trial {
  border-radius: 25px;
  border: none;
  padding: 10px 20px;
  background-color: var(--btn-color);
  color: var(--white);
  font-family: var(--header-font);
  font-weight: 800;
  font-size: 15px;
  cursor: pointer;
}

.cta__buy-now {
  border-radius: 25px;
  border: 1px solid var(--black);
  padding: 10px 20px;
  background-color: transparent;
  color: var(--black);
  font-family: var(--header-font);
  font-weight: 800;
  font-size: 15px;
  cursor: pointer;
}

/*============ Hero Section =========================*/
.hero-section {
  max-width: 1100px;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  row-gap: 50px;
}
.hero-grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  margin-top: 60px;
}

.left-grid {
  display: flex;
  flex-direction: column;
  justify-content: center;
  row-gap: 30px;
}

.left-grid__heading {
  font-family: var(--heading);
  font-size: 4.25rem;
  line-height: calc(1em + 4px);
  color: var(--black);
  font-weight: 700;
}

.left-grid__sub-heading {
  font-size: 1.25rem;
  font-weight: 600;
  font-family: var(--text-font);
  color: var(--black);
}

.right-grid video {
  max-width: 100%;
  object-fit: contain;
  aspect-ratio: 744/682;
  overflow-clip-margin: content-box;
  overflow: clip;
}

.partner {
  padding-top: 20px;
  border-top: 1px solid var(--light-grey);
  margin-bottom: 120px;
}

.partner__text {
  font-family: var(--text-font);
  font-size: large;
  font-weight: 600;
}

.partner__text__image {
  margin-left: 5px;
}

/* =========== Announcements ================= */

.info-section {
  background: linear-gradient(rgb(222, 249, 145), rgb(254, 250, 242));
  padding: 88px 0;
}

.info {
  max-width: 1100px;
  margin: 0 auto;
}

.zendesk-relate {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  max-width: 68%;
  margin: 0 auto;
  margin-bottom: 80px;
}
.zendesk-relate__sub-heading {
  font-family: var(--header-font);
  font-size: small;
  margin-bottom: 10px;
}

.zendesk-relate__heading {
  font-family: var(--heading2);
  font-size: 3rem;
  color: var(--black);
}

.zendesk-relate__description {
  font-family: var(--text-font);
  font-size: 1rem;
  text-align: center;
  margin-top: 20px;
}

.announcements {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  column-gap: 20px;
}

.info-card {
  background-color: var(--white);
  padding: 24px;
  border-bottom: 2px solid var(--black);
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  gap: 24px;
}

.info-card__title {
  font-family: var(--heading2);
  font-size: 1.5rem;
  font-weight: 500;
  color: var(--black);
}

.info-card__description {
  font-size: 0.95rem;
}

.info-card__link {
  color: var(--black);
  text-decoration: underline;
  text-underline-position: under;
  font-weight: 600;
}

/* =========== tour section ================= */
.tour {
  max-width: 1100px;
  margin: 0 auto;
  background-color: var(--light);
  display: grid;
  grid-template-columns: 1.2fr 0.3fr 1fr;
  height: 650px;
  padding: 60px 0;
  margin-bottom: 150px;
  column-gap: 20px;
}

.tour-info {
  display: flex;
  flex-direction: column;
  align-self: center;
  padding-left: 120px;
}

.tour-info__heading {
  margin-bottom: 10px;
}
.tour-info__cta {
  width: fit-content;
  margin-top: 20px;
}

.tour-illo {
  position: relative;
  top: 170px;
}
.tour-illo__image {
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: contain;
}

.tour-dashboard {
  overflow: hidden;
  position: relative;
  padding: 30px 0px 30px 30px;
}
.tour-dashboard__image {
  position: absolute;
  height: 100%;
  width: 100%;
  object-fit: cover;
  object-position: left top;
}

/* ================ Zendesk for service ================== */

.service-section {
  margin-top: 100px;
}

.service {
  max-width: 1100px;
  margin: 0 auto;
}
.service__title {
  margin-top: 50px;
  margin-bottom: 20px;
}

.label {
  border-bottom: 1px solid var(--light-grey);
}

.carousel {
  display: grid;
  grid-template-columns: 2fr 1fr;
  column-gap: 20px;
}
.carousel-section {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.carousel-section__quote {
  font-family: var(--heading);
  font-weight: 500;
  line-height: calc(1em + 4px);
  font-size: 32px;
}
.carousel-section__quote-owner {
  display: flex;
  align-items: center;
  column-gap: 20px;
  margin-top: 50px;
}

.user-info__name {
  font-weight: 700;
}
.user-info__role {
  font-size: 0.95rem;
}

.carousel-image {
  overflow: hidden;
}

.carousel-image__illustration {
  object-fit: contain;
  width: 100%;
  height: 100%;
}

.slider-btns {
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  column-gap: 50px;
  margin-top: 40px;
}
.slider-btn__section:nth-child(1) {
  border-top: 3px solid var(--black);
}

.slider-btn__section {
  border-top: 3px solid var(--light-grey);
  padding-top: 10px;
}

.slider-btn__section__text {
  font-weight: 500;
  font-family: var(--header-font);
  font-size: 1.1rem;
}

/* ================== Support Section ================ */
.support-section {
  padding: 100px 0;
}
.support {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  max-width: 1100px;
  margin: 0 auto;
  column-gap: 30px;
}

.support-video {
  position: relative;
  border-radius: 20px;
  overflow: hidden;
}
.support-video__thumbnail {
  object-fit: contain;
  width: 100%;
  height: 100%;
  z-index: 5;
}
.support-video__play-icon {
  position: absolute;
  z-index: 1;
  top: 50%;
  right: 50%;
  transform: translate(50%, -50%);
  width: 100px;
  height: 100px;
  border-radius: 50%;
  background: var(--black);
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--white);
  cursor: pointer;
}

.support-text {
  display: flex;
  flex-direction: column;
  justify-content: center;
  row-gap: 20px;
  padding-left: 16px;
  padding-right: 16px;
  margin-left: 10%;
}
.support-text__heading {
  line-height: calc(1em + 8px);
}

.support-text__description {
  font-size: 1.2rem;
}

/* responsive design */
@media (min-width: 1600px) {
  header .nav-container {
    max-width: 1500px;
  }
  .secondary-nav {
    max-width: 1500px;
  }
  .hero-section {
    max-width: 1500px;
  }

  .left-grid__heading {
    font-size: 88px;
  }

  .left-grid__sub-heading {
    font-size: 24px;
  }

  .info {
    max-width: 1500px;
    margin: 0 auto;
  }
  .tour {
    max-width: 1500px;
    margin: 0 auto;
    height: 800px;
    margin-bottom: 150px;
  }

  .service {
    max-width: 1500px;
    margin: 0 auto;
  }
  .service__title {
    font-size: 4rem;
  }

  .carousel-section__quote {
    font-size: 48px;
  }

  .support {
    max-width: 1500px;
    margin: 0 auto;
  }

  .support-text__heading {
    font-size: 4rem;
  }
}
